Bug 853903 - crash when no NIC
crash when no NIC
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F18-accepted/F18FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2012-09-03 05:45 EDT by Kamil Páral
Modified: 2012-11-23 04:42 EST (History)
6 users (show)

See Also:
Fixed In Version: anaconda-18.8-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-22 20:26:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (58.50 KB, image/png)
2012-09-03 05:45 EDT, Kamil Páral
no flags Details
anaconda-tb (161.58 KB, text/plain)
2012-09-03 05:46 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2012-09-03 05:45:22 EDT
Created attachment 609309 [details]
screenshot

Description of problem:
If I don't have any network card inside the machine, the first screen in anaconda is requesting network access. If I switch Wired to ON, the following traceback happens.

Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/pyanaconda/ui/gui/spokes/network.py", line 447, in on_device_off_toggled
    dev_type = device.get_device_type()
AttributeError: 'NoneType' object has no attribute 'get_device_type'


Version-Release number of selected component (if applicable):
anaconda 18.6.4

How reproducible:
always
Comment 1 Kamil Páral 2012-09-03 05:46:00 EDT
Created attachment 609310 [details]
anaconda-tb
Comment 2 Radek Vykydal 2012-09-10 08:40:39 EDT
Fixed on master:
commit 8247c9afcaace7ec51f133d054f04c16e4540b8b
commit 03990f0077d192c0950c353af10669498146ecb5
Comment 3 Adam Williamson 2012-11-22 20:26:25 EST
This bug looks to have been fixed for many anaconda builds now but missed being closed. If you find you are still experiencing it with Fedora 18 Beta (RC1) or later, please re-open the bug.
Comment 4 Kamil Páral 2012-11-23 04:42:54 EST
Confirmed fixed in anaconda 18.29.2.

Note You need to log in before you can comment on or make changes to this bug.